Direct API

Counties

Get counties/states for a specific country

GET
/locations/counties/{country_code}

Get counties/states for a specific country using its ISO country code

Parameters

Name Type Required Description
country_codestringYesISO 3166-1 alpha-2 country code (e.g., "RO", "BG")

Response Codes

Code Status Description
200SuccessCounties list retrieved
400Bad RequestInvalid country_code parameter
401UnauthorizedInvalid or missing API key
429Too Many RequestsRate limit exceeded
500Internal Server ErrorServer error occurred

Response Format

Field Type Description
idintegerUnique county identifier
county_codestringCounty/state code abbreviation. See available country codes and their corresponding carriers.
county_namestringCounty/state name
country_codestringISO 3166-1 alpha-2 country code

Response Example

RESPONSEJSON
[
  {
    "id": 1,
    "county_code": "AB",
    "county_name": "Alba",
    "country_code": "RO"
  },
  {
    "id": 2,
    "county_code": "AR",
    "county_name": "Arad",
    "country_code": "RO"
  }
]

Complete API Reference

For interactive testing and additional technical details, visit our complete Swagger documentation.

View in Swagger Documentation